{% extends "index.html" %}{% load static i18n %}{% block content %}
<i></i>
{% include "layouts/header.html" %}

{% comment %} PAGE CONTENT {% endcomment %}
<div class="min-h-[calc(100vh-25rem)]">
  {% block page %}{% endblock page %}
</div>

{% include "layouts/footer.html" %}

{% comment %} TO TOP BUTTON {% endcomment %}
<button
  id="toTop"
  class="fixed bottom-6 right-6 z-40 grid place-items-center w-10 h-10 bg-main-white text-main-darken rounded shadow-lg transition-all duration-300 hover:bg-main-dark hover:text-white"
>
  <i class="fa-solid fa-chevron-up"></i>
</button>

<script>
  document.addEventListener("DOMContentLoaded", () => {
    const html = document.documentElement;
    const body = document.body;
    const header = document.getElementById("header").style;
    const menu = document.getElementById("menu").style;
    const toTop = document.getElementById("toTop");
    const showcaseHeight = document.getElementById("showcase");
    const toggleMenus = document.getElementsByClassName("toggle-menu");
    const toTopStyle = toTop.style;
    const hook = 400;
    const ordering = document.getElementById("ordering");
    const filtering = document.getElementById("filtering");

    const headerAnime = (e) => (header.top = e && e.deltaY > 0 ? "-8rem" : "");

    const toTopAnime = () => {
      if (body.scrollTop > hook || html.scrollTop > hook)
        toTopStyle.transform = "scale(1)";
      else toTopStyle.transform = "scale(0)";
    };

    const goToScroll = (scroll = 0) =>
      (html.scrollTop = body.scrollTop = scroll);

    const toggleMenu = () => {
      menu.right ? (menu.right = "") : (menu.right = "0");
    };

    const searchParamsSetter = (param, value) => {
      const searchParams = new URLSearchParams(location.search)

      searchParams.set(param, value)

      location.replace(location.pathname + "?" + searchParams.toString())
    }

    toTopAnime();

    toTop.addEventListener("click", goToScroll);

    for (const t of toggleMenus) t.addEventListener("click", toggleMenu);

    window.addEventListener("wheel", (e) => {
      headerAnime(e);
      toTopAnime();
    });

    ordering &&
      ordering.addEventListener("change", (e) =>
        searchParamsSetter("order_type", e.target.value)
      );
    filtering &&
      filtering.addEventListener("change", (e) =>
        searchParamsSetter("filter_type", e.target.value)
      );

    //if (
    //  showcaseHeight &&
    //  html.scrollTop < showcaseHeight.scrollHeight &&
    //  body.scrollTop < showcaseHeight.scrollHeight
    //)
    //  setTimeout(() => goToScroll(showcaseHeight.scrollHeight), 1100);
  });
</script>

{% endblock content %}
